# Exclude all elements, as they are only run within diskimage-builder
%global __requires_exclude_from	^%{python3_sitelib}/diskimage_builder/elements/.*$

Name:		diskimage-builder
Summary:	Image building tools for OpenStack
Version:	3.37.0
Release:	%mkrel 3
License:	ASL 2.0
Group:		System/Base
URL:		https://launchpad.net/diskimage-builder
Source0:	https://tarballs.opendev.org/openstack/diskimage-builder/%{name}-%{version}.tar.gz
Patch0:		diskimage-builder-relax-reqs.patch
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(d2to1)
BuildRequires:	python3dist(pbr)

Requires: kpartx
Requires: qemu-img
Requires: busybox
Requires: curl
Requires: sudo
Requires: yum-utils

%description
Components of TripleO that are responsible for building disk images.

%prep
%setup -q
%autopatch -p1

# fix shebang excplicitly
%py3_shebang_fix diskimage_builder/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files diskimage_builder

%files -f %{pyproject_files}
%doc README*
%{_bindir}/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.37.0-3.mga10
+ Revision: 2243561
- Mageia 10 Mass Rebuild

* Sat Mar 08 2025 papoteur <papoteur> 3.37.0-2.mga10
+ Revision: 2162027
- rebuild for python3.13

* Wed Jan 22 2025 daviddavid <daviddavid> 3.37.0-1.mga10
+ Revision: 2140615
- new version: 3.37.0

* Sun Sep 15 2024 daviddavid <daviddavid> 3.33.0-1.mga10
+ Revision: 2096682
- new version: 3.33.0

* Mon May 27 2024 daviddavid <daviddavid> 3.32.0-1.mga10
+ Revision: 2067881
- new version: 3.32.0

* Thu Jan 11 2024 papoteur <papoteur> 3.31.0-2.mga10
+ Revision: 2030070
- rebuild for python 3.12

* Fri Oct 27 2023 daviddavid <daviddavid> 3.31.0-1.mga10
+ Revision: 2002009
- new version: 3.31.0

* Sun Sep 04 2022 wally <wally> 3.24.0-1.mga9
+ Revision: 1883798
- new version 3.24.0
- switch build to use pyproject rpm mcros

* Fri Jun 24 2022 papoteur <papoteur> 3.7.0-6.mga9
+ Revision: 1866007
- Mass Rebuild for dependencies

* Thu Mar 24 2022 umeabot <umeabot> 3.7.0-5.mga9
+ Revision: 1824921
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 3.7.0-4.mga9
+ Revision: 1782756
- Rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 3.7.0-3.mga9
+ Revision: 1709727
- relax pbr dependency

* Mon Mar 22 2021 daviddavid <daviddavid> 3.7.0-2.mga9
+ Revision: 1707779
- rebuild for python 3.9

* Thu Mar 11 2021 daviddavid <daviddavid> 3.7.0-1.mga9
+ Revision: 1701404
- new version: 3.7.0

* Thu Nov 19 2020 daviddavid <daviddavid> 3.3.1-1.mga8
+ Revision: 1647624
- new version: 3.3.1

* Tue Jun 23 2020 daviddavid <daviddavid> 2.36.0-1.mga8
+ Revision: 1598688
- new version: 2.36.0

* Thu Feb 20 2020 umeabot <umeabot> 2.33.0-2.mga8
+ Revision: 1546564
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 2.33.0-1.mga8
+ Revision: 1486746
- new version: 2.33.0

* Sat Nov 23 2019 daviddavid <daviddavid> 2.29.1-1.mga8
+ Revision: 1462434
- new version: 2.29.1

* Sat Sep 21 2019 daviddavid <daviddavid> 2.27.1-1.mga8
+ Revision: 1444155
- new version: 2.27.1
- port to Python 3

* Fri Jul 05 2019 daviddavid <daviddavid> 2.24.0-1.mga8
+ Revision: 1418682
- new version: 2.24.0

* Thu Apr 11 2019 daviddavid <daviddavid> 2.21.0-1.mga7
+ Revision: 1388353
- new version: 2.21.0

* Mon Dec 03 2018 daviddavid <daviddavid> 2.18.0-1.mga7
+ Revision: 1337724
- new version: 2.18.0

* Wed Oct 31 2018 daviddavid <daviddavid> 2.17.0-1.mga7
+ Revision: 1326870
- new version: 2.17.0

* Thu Sep 20 2018 umeabot <umeabot> 2.16.0-2.mga7
+ Revision: 1278023
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 2.16.0-1.mga7
+ Revision: 1252426
- new version: 2.16.0

* Sun Jul 08 2018 daviddavid <daviddavid> 2.15.1-1.mga7
+ Revision: 1242566
- new version: 2.15.1

* Mon May 14 2018 daviddavid <daviddavid> 2.14.1-1.mga7
+ Revision: 1229624
- new version: 2.14.1
- relax requirement
- use new python provides

* Thu Aug 18 2016 bcornec <bcornec> 1.15.0-1.mga6
+ Revision: 1046762
- Update to diskimage-builder upstream 1.15.0

* Thu Apr 14 2016 daviddavid <daviddavid> 1.14.1-1.mga6
+ Revision: 1001280
- new version: 1.14.1

* Mon Feb 29 2016 daviddavid <daviddavid> 1.11.1-1.mga6
+ Revision: 980641
- new version: 1.11.1

* Wed Feb 03 2016 daviddavid <daviddavid> 1.9.0-1.mga6
+ Revision: 933775
- new version: 1.9.0
- switch to requires_exclude_from for all elements
- config-applier is no longer part of diskimage-builder

* Fri Jan 22 2016 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 926401
- new version: 1.8.0
- use new python macros
- relax python-flake8 version requirements
- drop patches merged upstream
- add Requires filter for /usr/local/bin/dib-python
- add missing Requires for sudo and yum-utils

* Thu Oct 29 2015 tv <tv> 0.1.42-1.mga6
+ Revision: 896300
- sync patches with FC
- fix file list
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-13.mga5
+ Revision: 744569
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.1-12.mga5
+ Revision: 726126
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.1-11.mga5
+ Revision: 678755
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.0.1-10.mga5
+ Revision: 628159
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.0.1-9.mga4
+ Revision: 542588
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.0.1-8.mga4
+ Revision: 497726
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 09 2013 neoclust <neoclust> 0.0.1-7.mga4
+ Revision: 493941
- imported package diskimage-builder


* Mon Sep 16 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-7
- add patch to allow proper Fedora image creation when using vm element

* Fri Sep 13 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-6
- add patches to ccd7b86b606e678bf7281baff05c420b089c5d8f (fixes kpartx issue)

* Thu Sep 5 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-5
- rebase to a495079695e914fa7ec93292497bfc2471f41510
- Source moved from stackforge to openstack
- added curl requires
- switched to pbr
- remove all sudo related files as they are no longer used

* Tue Aug 13 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-4
- removed config-applier element

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-2
- rebased and dropped patches

* Mon Jul 29 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-1
- initial package straight from github commit sha
